## ble.sh 0.4.0~git20250321.d4c812b

=== Makefile ===
# -*- mode: makefile-bsdmake -*-

all:
.PHONY: all install

.warning [1;31mThis is not GNU make. Plaese use GNU make (gmake).[m
.warning [1mTrying to redirect to gmake...[m

.ifdef INSDIR
assign_insdir := INSDIR="$(INSDIR)"
.endif

.ifdef INSDIR_DOC
assign_insdir_doc := INSDIR_DOC="$(INSDIR_DOC)"
.endif

.ifdef PREFIX
assign_prefix := PREFIX="$(PREFIX)"
.endif

.ifdef DESTDIR
assign_destdir := DESTDIR="$(DESTDIR)"
.endif

all:
	gmake -f GNUmakefile all
install:
	gmake -f GNUmakefile install $(assign_insdir) $(assign_insdir_doc) $(assign_prefix) $(assign_destdir)

=== debian/changelog ===
ble.sh (0.4.0~git20250321.d4c812b-1) unstable; urgency=low

  * Initial release. (Closes: #1009144)

 -- Eric Long <i@hack3r.moe>  Thu, 03 Apr 2025 11:45:58 +0800

=== debian/control ===
Source: ble.sh
Section: utils
Priority: optional
Maintainer: Eric Long <i@hack3r.moe>
Build-Depends:
 debhelper-compat (= 13),
 gawk,
 procps,
 less,
Standards-Version: 4.7.2
Homepage: https://github.com/akinomyoga/ble.sh
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ble.sh.git
Vcs-Browser: https://salsa.debian.org/debian/ble.sh

Package: ble.sh
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gawk | mawk,
Suggests:
 ble.sh-airline-themes
Description: Bash Line Editor
 Bash Line Editor (ble.sh) is a command line editor written in pure Bash which
 replaces the default GNU Readline, enabling syntax highlighting, auto
 suggestions, vim modes, etc. in Bash interactive sessions.

Package: ble.sh-airline-themes
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Airline themes for ble.sh
 Adopted from vim-airline's official theme collection and used by Bash Line
 Editor (ble.sh)'s imitation.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- FULLVER=$(shell dpkg-parsechangelog -S version)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr \
		INSDIR_DOC="debian/ble.sh/usr/share/doc/ble.sh/" \
		INSDIR_LICENSE="debian/ble.sh/usr/share/doc/ble.sh/"
	find debian/tmp debian/ble.sh -type d -empty -delete

execute_after_dh_install:
	rm -r debian/ble.sh/usr/share/blesh/contrib/airline/

## ble.sh 0.4.0~git20250806.8060b7a

=== debian/changelog ===
ble.sh (0.4.0~git20250806.8060b7a-1) unstable; urgency=medium

  * New upstream release.
  * Add bsdutils as Build-Depends as it is no longer essential

 -- Eric Long <i@hack3r.moe>  Fri, 03 Oct 2025 10:06:03 +0800

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  gawk,
  procps,
  less,
+ bsdutils,
 Standards-Version: 4.7.2
 Homepage: https://github.com/akinomyoga/ble.sh
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="pretty=0.4.0~git%cd.%h, mode=git" \
https://github.com/akinomyoga/ble.sh HEAD debian
opts="mode=git, component=contrib" \
https://github.com/akinomyoga/blesh-contrib HEAD ignore
